﻿--
-- Script was generated by Devart dbForge Studio 2019 for MySQL, Version 8.2.23.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 23/09/2022 0:07:02
-- Server version: 5.5.5-10.4.24-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS practica7mod1;

CREATE DATABASE IF NOT EXISTS practica7mod1
CHARACTER SET utf8mb4
COLLATE utf8mb4_general_ci;

--
-- Set default database
--
USE practica7mod1;

--
-- Create table `realiza`
--
CREATE TABLE IF NOT EXISTS realiza (
  matAlumno int(11) NOT NULL,
  `p#Practica` varchar(100) NOT NULL,
  PRIMARY KEY (matAlumno, `p#Practica`)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `practica`
--
CREATE TABLE IF NOT EXISTS practica (
  `P#` int(11) DEFAULT NULL,
  titulo varchar(100) DEFAULT NULL,
  dificultad varchar(100) DEFAULT NULL
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `fechap`
--
CREATE TABLE IF NOT EXISTS fechap (
  `mat-Alumno` varchar(100) NOT NULL,
  `p#Practica` varchar(100) NOT NULL,
  nota int(11) DEFAULT NULL,
  fecha float DEFAULT NULL,
  PRIMARY KEY (`mat-Alumno`, `p#Practica`)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `alumno`
--
CREATE TABLE IF NOT EXISTS alumno (
  mat int(11) DEFAULT NULL,
  nombre varchar(100) DEFAULT NULL,
  grupo int(11) DEFAULT NULL
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

-- 
-- Dumping data for table realiza
--
-- Table practica7mod1.realiza does not contain any data (it is empty)

-- 
-- Dumping data for table practica
--
-- Table practica7mod1.practica does not contain any data (it is empty)

-- 
-- Dumping data for table fechap
--
-- Table practica7mod1.fechap does not contain any data (it is empty)

-- 
-- Dumping data for table alumno
--
-- Table practica7mod1.alumno does not contain any data (it is empty)

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;